Skip to content

Observability

All operations require authentication.

7 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List log kindsProduction

GET
/1.0/ipLoadbalancing/{serviceName}/log/kind

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/log/kind \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List log subscriptionsProduction

GET
/1.0/ipLoadbalancing/{serviceName}/log/subscription

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

kind
string

Filter the value of kind property (=)

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get a log kindProduction

GET
/1.0/ipLoadbalancing/{serviceName}/log/kind/{name}

Path parameters

name
required
string

Log kind name

serviceName
required
string

The internal name of your IP load balancing

Response

200LdpKindsuccessful operation
additionalReturnedFields
read-only
string[]

List of additional log fields managed in this log kind

createdAt
read-only
stringdate-time

Creation date of the log kind

displayName
read-only
string

Log kind display name

kindId
read-only
stringuuid

Log kind ID

name
read-only
string

Log kind name

updatedAt
read-only
stringdate-time

Last update date of the log kind

Example uses name = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/log/kind/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Get a log subscriptionProduction

GET
/1.0/ipLoadbalancing/{serviceName}/log/subscription/{subscriptionId}

Path parameters

serviceName
required
string

The internal name of your IP load balancing

subscriptionId
required
stringuuid

Subscription ID

Response

200LdpSubscriptionsuccessful operation
createdAt
read-only
stringdate-time

Creation date of the subscription

kind
read-only
string

Log kind name of this subscription

resource
read-only
LogSubscriptionResource

Subscribed resource, where the logs come from

serviceName
read-only
string

Name of the destination log service

streamId
read-only
stringuuid

Id of the destination log stream

subscriptionId
read-only
stringuuid

Subscription ID

updatedAt
read-only
stringdate-time

Last update date of the subscription

Example uses serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Create a log subscriptionProduction

POST
/1.0/ipLoadbalancing/{serviceName}/log/subscription

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

kind
required
string

Log kind name of the subscription

streamId
required
stringuuid

Id of the destination log stream

Response

200LogSubscriptionResponsesuccessful operation
operationId
stringuuid

The operation id of the subscription creation task

serviceName
string

The logs account

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Generate a temporary log URLProduction

POST
/1.0/ipLoadbalancing/{serviceName}/log/url

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

kind
required
string

Log kinds for your dedicated cloud

Response

200LogUrlsuccessful operation
expirationDate
stringdate-time

Expiration date

url
string

URL

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/log/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}

Delete a log subscriptionProduction

DELETE
/1.0/ipLoadbalancing/{serviceName}/log/subscription/{subscriptionId}

Path parameters

serviceName
required
string

The internal name of your IP load balancing

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
stringuuid

The operation id of the subscription creation task

serviceName
string

The logs account

Example uses serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}